Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.swing.plaf
Class MetalPanelBorder

    java.lang.Object
      javax.swing.border.AbstractBorder
          org.crosswire.common.swing.plaf.MetalPanelBorder

All Implemented Interfaces:
  Serializable, Border, UIResource

    public final class MetalPanelBorder

extends AbstractBorder
implements UIResource

A class that provides a border that matches MetalBorders.ScrollPaneBorder.

Author:
  Willie Thean [williethean at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`static int` | `BOTTOM`
`private int` | `flags`
`private int` | `insetBottom`
`private int` | `insetLeft`
`private int` | `insetRight`
`private Insets` | `insets`
`private int` | `insetTop`
`static int` | `LEFT`
`static int` | `RIGHT`
`private static long` | `serialVersionUID` Serialization ID
`static int` | `TOP`

Constructor Summary
`MetalPanelBorder()` Default constructor.
`MetalPanelBorder(int borderFlags)` Create a MetalPanelBorder instance where the border visbility (top, left, bottom and right border) is controlled by the bit mask `borderFlags`.

Method Summary
`Insets` | `getBorderInsets(Component c)`
`void` | `paintBorder(Component c, Graphics g, int x, int y, int w, int h)`

Methods inherited from class javax.swing.border.AbstractBorder
`getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP

    public static final int TOP

See Also:
  Constant Field Values

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### BOTTOM

    public static final int BOTTOM

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

### insetTop

    private int insetTop

### insetLeft

    private int insetLeft

### insetBottom

    private int insetBottom

### insetRight

    private int insetRight

### flags

    private int flags

### insets

    private Insets insets

Constructor Detail

### MetalPanelBorder

    public MetalPanelBorder()

  Default constructor.

### MetalPanelBorder

    public MetalPanelBorder(int borderFlags)

  Create a MetalPanelBorder instance where the border visbility (top, left, bottom and right border) is controlled by the bit mask `borderFlags`.

  Parameters:
    `borderFlags` - Match flags, a bit mask that may include TOP, LEFT, BOTTOM, and RIGHT

Method Detail

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int w,
                            int h)

  Specified by:
    `paintBorder` in interface `Border`
  Overrides:
    `paintBorder` in class `AbstractBorder`

### getBorderInsets

    public Insets getBorderInsets(Component c)

  Specified by:
    `getBorderInsets` in interface `Border`
  Overrides:
    `getBorderInsets` in class `AbstractBorder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD